<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::capabilityAgents::doNotDisturb::test::DoNotDisturbCapabilityAgentTest Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents.html">capabilityAgents</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1do_not_disturb.html">doNotDisturb</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1do_not_disturb_1_1test.html">test</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1do_not_disturb_1_1test_1_1_do_not_disturb_capability_agent_test.html">DoNotDisturbCapabilityAgentTest</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classalexa_client_s_d_k_1_1capability_agents_1_1do_not_disturb_1_1test_1_1_do_not_disturb_capability_agent_test-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::capabilityAgents::doNotDisturb::test::DoNotDisturbCapabilityAgentTest Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Test harness for <code><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1do_not_disturb_1_1_do_not_disturb_capability_agent.html">DoNotDisturbCapabilityAgent</a></code> class.  
 <a href="classalexa_client_s_d_k_1_1capability_agents_1_1do_not_disturb_1_1test_1_1_do_not_disturb_capability_agent_test.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for alexaClientSDK::capabilityAgents::doNotDisturb::test::DoNotDisturbCapabilityAgentTest:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1capability_agents_1_1do_not_disturb_1_1test_1_1_do_not_disturb_capability_agent_test__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1capability_agents_1_1do_not_disturb_1_1test_1_1_do_not_disturb_capability_agent_test_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1capability_agents_1_1do_not_disturb_1_1test_1_1_do_not_disturb_capability_agent_test_inherit__map" id="alexa_client_s_d_k_1_1capability_agents_1_1do_not_disturb_1_1test_1_1_do_not_disturb_capability_agent_test_inherit__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for alexaClientSDK::capabilityAgents::doNotDisturb::test::DoNotDisturbCapabilityAgentTest:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1capability_agents_1_1do_not_disturb_1_1test_1_1_do_not_disturb_capability_agent_test__coll__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1capability_agents_1_1do_not_disturb_1_1test_1_1_do_not_disturb_capability_agent_test_coll__map" alt="Collaboration graph"/></div>
<map name="alexa_client_s_d_k_1_1capability_agents_1_1do_not_disturb_1_1test_1_1_do_not_disturb_capability_agent_test_coll__map" id="alexa_client_s_d_k_1_1capability_agents_1_1do_not_disturb_1_1test_1_1_do_not_disturb_capability_agent_test_coll__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ac294e1db822b0ec7fc1b42aae9804640"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1do_not_disturb_1_1test_1_1_do_not_disturb_capability_agent_test.html#ac294e1db822b0ec7fc1b42aae9804640">SetUp</a> () override</td></tr>
<tr class="memdesc:ac294e1db822b0ec7fc1b42aae9804640"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set up the test harness for running a test.  <a href="#ac294e1db822b0ec7fc1b42aae9804640">More...</a><br /></td></tr>
<tr class="separator:ac294e1db822b0ec7fc1b42aae9804640"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0283b7a19f83120ae15eb87a1dfc0b12"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1do_not_disturb_1_1test_1_1_do_not_disturb_capability_agent_test.html#a0283b7a19f83120ae15eb87a1dfc0b12">expectEventSend</a> (const std::string &amp;eventName, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html#a29e40517f71dfc83e3159a8f0f489d7b">MessageRequestObserverInterface::Status</a> statusReported, std::function&lt; void()&gt; triggerOperation)</td></tr>
<tr class="memdesc:a0283b7a19f83120ae15eb87a1dfc0b12"><td class="mdescLeft">&#160;</td><td class="mdescRight">Helper method to set up mocks for an upcoming event.  <a href="#a0283b7a19f83120ae15eb87a1dfc0b12">More...</a><br /></td></tr>
<tr class="separator:a0283b7a19f83120ae15eb87a1dfc0b12"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:abb785ed4dd4b7d0f4c683398fcb8d41c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1do_not_disturb_1_1test_1_1_do_not_disturb_capability_agent_test.html#abb785ed4dd4b7d0f4c683398fcb8d41c">TearDown</a> () override</td></tr>
<tr class="separator:abb785ed4dd4b7d0f4c683398fcb8d41c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a374bf3a5ee61108c129817174422354f"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1do_not_disturb_1_1_do_not_disturb_capability_agent.html">DoNotDisturbCapabilityAgent</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1do_not_disturb_1_1test_1_1_do_not_disturb_capability_agent_test.html#a374bf3a5ee61108c129817174422354f">m_dndCA</a></td></tr>
<tr class="memdesc:a374bf3a5ee61108c129817174422354f"><td class="mdescLeft">&#160;</td><td class="mdescRight">The InteractionModelCapabilityAgent instance to be tested.  <a href="#a374bf3a5ee61108c129817174422354f">More...</a><br /></td></tr>
<tr class="separator:a374bf3a5ee61108c129817174422354f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a475cbac8146061c8f7ae5358d466f357"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1test_1_1_mock_message_sender.html">MockMessageSender</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1do_not_disturb_1_1test_1_1_do_not_disturb_capability_agent_test.html#a475cbac8146061c8f7ae5358d466f357">m_messageSender</a></td></tr>
<tr class="memdesc:a475cbac8146061c8f7ae5358d466f357"><td class="mdescLeft">&#160;</td><td class="mdescRight">Message sender mock to track messages being sent.  <a href="#a475cbac8146061c8f7ae5358d466f357">More...</a><br /></td></tr>
<tr class="separator:a475cbac8146061c8f7ae5358d466f357"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a68f18333bea9a17f49f59f594c584d9b"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1test_1_1_mock_exception_encountered_sender.html">avsCommon::sdkInterfaces::test::MockExceptionEncounteredSender</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1do_not_disturb_1_1test_1_1_do_not_disturb_capability_agent_test.html#a68f18333bea9a17f49f59f594c584d9b">m_mockExceptionEncounteredSender</a></td></tr>
<tr class="memdesc:a68f18333bea9a17f49f59f594c584d9b"><td class="mdescLeft">&#160;</td><td class="mdescRight">The mock <code>ExceptionEncounteredSenderInterface</code>.  <a href="#a68f18333bea9a17f49f59f594c584d9b">More...</a><br /></td></tr>
<tr class="separator:a68f18333bea9a17f49f59f594c584d9b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a27fa310453e511b3fc2a763c42d2c3b5"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1registration_manager_1_1_customer_data_manager.html">CustomerDataManager</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1do_not_disturb_1_1test_1_1_do_not_disturb_capability_agent_test.html#a27fa310453e511b3fc2a763c42d2c3b5">m_customerDataManager</a></td></tr>
<tr class="memdesc:a27fa310453e511b3fc2a763c42d2c3b5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Customer data manager to handle the factory reset logic.  <a href="#a27fa310453e511b3fc2a763c42d2c3b5">More...</a><br /></td></tr>
<tr class="separator:a27fa310453e511b3fc2a763c42d2c3b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a691246d48d26aac4279440b2bd623c9a"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="namespacealexa_client_s_d_k_1_1settings.html#a699bbcbbc5c8be3539d4ed111557798d">DeviceSettingsManager</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1do_not_disturb_1_1test_1_1_do_not_disturb_capability_agent_test.html#a691246d48d26aac4279440b2bd623c9a">m_settingsManager</a></td></tr>
<tr class="memdesc:a691246d48d26aac4279440b2bd623c9a"><td class="mdescLeft">&#160;</td><td class="mdescRight">An instace of <code>DeviceSettingsManager</code>,.  <a href="#a691246d48d26aac4279440b2bd623c9a">More...</a><br /></td></tr>
<tr class="separator:a691246d48d26aac4279440b2bd623c9a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad49d7ecf1cda76d0dab500780b2d6015"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1test_1_1_mock_device_setting_storage.html">MockDeviceSettingStorage</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1do_not_disturb_1_1test_1_1_do_not_disturb_capability_agent_test.html#ad49d7ecf1cda76d0dab500780b2d6015">m_settingsStorage</a></td></tr>
<tr class="memdesc:ad49d7ecf1cda76d0dab500780b2d6015"><td class="mdescLeft">&#160;</td><td class="mdescRight">Storage for the settings.  <a href="#ad49d7ecf1cda76d0dab500780b2d6015">More...</a><br /></td></tr>
<tr class="separator:ad49d7ecf1cda76d0dab500780b2d6015"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class="">Test harness for <code><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1do_not_disturb_1_1_do_not_disturb_capability_agent.html">DoNotDisturbCapabilityAgent</a></code> class. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a0283b7a19f83120ae15eb87a1dfc0b12"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0283b7a19f83120ae15eb87a1dfc0b12">&#9670;&nbsp;</a></span>expectEventSend()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::capabilityAgents::doNotDisturb::test::DoNotDisturbCapabilityAgentTest::expectEventSend </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>eventName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html#a29e40517f71dfc83e3159a8f0f489d7b">MessageRequestObserverInterface::Status</a>&#160;</td>
          <td class="paramname"><em>statusReported</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::function&lt; void()&gt;&#160;</td>
          <td class="paramname"><em>triggerOperation</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Helper method to set up mocks for an upcoming event. </p>

</div>
</div>
<a id="ac294e1db822b0ec7fc1b42aae9804640"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac294e1db822b0ec7fc1b42aae9804640">&#9670;&nbsp;</a></span>SetUp()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::capabilityAgents::doNotDisturb::test::DoNotDisturbCapabilityAgentTest::SetUp </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Set up the test harness for running a test. </p>

</div>
</div>
<a id="abb785ed4dd4b7d0f4c683398fcb8d41c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abb785ed4dd4b7d0f4c683398fcb8d41c">&#9670;&nbsp;</a></span>TearDown()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::capabilityAgents::doNotDisturb::test::DoNotDisturbCapabilityAgentTest::TearDown </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a27fa310453e511b3fc2a763c42d2c3b5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a27fa310453e511b3fc2a763c42d2c3b5">&#9670;&nbsp;</a></span>m_customerDataManager</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1registration_manager_1_1_customer_data_manager.html">CustomerDataManager</a>&gt; alexaClientSDK::capabilityAgents::doNotDisturb::test::DoNotDisturbCapabilityAgentTest::m_customerDataManager</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Customer data manager to handle the factory reset logic. </p>

</div>
</div>
<a id="a374bf3a5ee61108c129817174422354f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a374bf3a5ee61108c129817174422354f">&#9670;&nbsp;</a></span>m_dndCA</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1do_not_disturb_1_1_do_not_disturb_capability_agent.html">DoNotDisturbCapabilityAgent</a>&gt; alexaClientSDK::capabilityAgents::doNotDisturb::test::DoNotDisturbCapabilityAgentTest::m_dndCA</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The InteractionModelCapabilityAgent instance to be tested. </p>

</div>
</div>
<a id="a475cbac8146061c8f7ae5358d466f357"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a475cbac8146061c8f7ae5358d466f357">&#9670;&nbsp;</a></span>m_messageSender</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1test_1_1_mock_message_sender.html">MockMessageSender</a>&gt; alexaClientSDK::capabilityAgents::doNotDisturb::test::DoNotDisturbCapabilityAgentTest::m_messageSender</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Message sender mock to track messages being sent. </p>

</div>
</div>
<a id="a68f18333bea9a17f49f59f594c584d9b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a68f18333bea9a17f49f59f594c584d9b">&#9670;&nbsp;</a></span>m_mockExceptionEncounteredSender</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1test_1_1_mock_exception_encountered_sender.html">avsCommon::sdkInterfaces::test::MockExceptionEncounteredSender</a>&gt; alexaClientSDK::capabilityAgents::doNotDisturb::test::DoNotDisturbCapabilityAgentTest::m_mockExceptionEncounteredSender</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The mock <code>ExceptionEncounteredSenderInterface</code>. </p>

</div>
</div>
<a id="a691246d48d26aac4279440b2bd623c9a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a691246d48d26aac4279440b2bd623c9a">&#9670;&nbsp;</a></span>m_settingsManager</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="namespacealexa_client_s_d_k_1_1settings.html#a699bbcbbc5c8be3539d4ed111557798d">DeviceSettingsManager</a>&gt; alexaClientSDK::capabilityAgents::doNotDisturb::test::DoNotDisturbCapabilityAgentTest::m_settingsManager</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>An instace of <code>DeviceSettingsManager</code>,. </p>

</div>
</div>
<a id="ad49d7ecf1cda76d0dab500780b2d6015"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad49d7ecf1cda76d0dab500780b2d6015">&#9670;&nbsp;</a></span>m_settingsStorage</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1test_1_1_mock_device_setting_storage.html">MockDeviceSettingStorage</a>&gt; alexaClientSDK::capabilityAgents::doNotDisturb::test::DoNotDisturbCapabilityAgentTest::m_settingsStorage</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Storage for the settings. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/workplace/avs-device-sdk/CapabilityAgents/DoNotDisturb/test/<a class="el" href="_do_not_disturb_capability_agent_test_8cpp.html">DoNotDisturbCapabilityAgentTest.cpp</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
